summaryrefslogtreecommitdiffstats
path: root/src/tools/utils/sbe-size/view-section-sizes
diff options
context:
space:
mode:
Diffstat (limited to 'src/tools/utils/sbe-size/view-section-sizes')
-rwxr-xr-xsrc/tools/utils/sbe-size/view-section-sizes33
1 files changed, 33 insertions, 0 deletions
diff --git a/src/tools/utils/sbe-size/view-section-sizes b/src/tools/utils/sbe-size/view-section-sizes
new file mode 100755
index 00000000..0935dc4d
--- /dev/null
+++ b/src/tools/utils/sbe-size/view-section-sizes
@@ -0,0 +1,33 @@
+#!/bin/bash
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/tools/utils/sbe-size/view-section-sizes $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2018
+# [+] International Business Machines Corp.
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 section_sizes"
+ exit 1
+fi
+
+MYDIR=$(dirname $0)
+gnuplot -e "fn='<head -n-1 $1'" $MYDIR/absolute.gnuplot -
OpenPOWER on IntegriCloud